# module "nextcloud" {
#   source = "./nextcloud"
#
#   depends_on = [module.databases]
# }

module "backups" {
  source = "./backups"

  # In parent module
  # depends_on = [module.databases]
}

module "media" {
  source = "./media"
}

resource "nomad_job" "whoami" {
  hcl2 {
    enabled = true
    vars = {
      "count" = 1,
      # "count" = "${2 * length(data.consul_service.nomad.service)}",
    }
  }

  jobspec = file("${path.module}/whoami.nomad")
}

resource "nomad_job" "ipdvr" {
  jobspec = file("${path.module}/ip-dvr.nomad")
}

resource "consul_config_entry" "nzbget_intents" {
  depends_on = [nomad_job.ipdvr]

  name = "nzbget"
  kind = "service-intentions"

  config_json = jsonencode({
    Sources = [
      {
        Action     = "allow"
        Name       = "sonarr"
        Precedence = 9
        Type       = "consul"
      },
    ]
  })
}

# module "nzbget" {
#   source "./levant"
#
#   template_path = "service.nomad"
#   variables = {
#     name = "nzbget"
#     image = "linuxserver/nzbget"
#     service_port = 6789
#     ingress = true
#     env = jsonencode({
#       PGID = 100
#       PUID = 1001
#       TZ = "America/Los_Angeles"
#     })
#     host_volumes = jsonencode([
#       {
#         name      = "download"
#         dest      = "/srv/volumes/download"
#         read_only = false
#       },
#     ])
#   }
# }
#
# module "sonarr" {
#   source = "./levant"
#
#   template_path = "service.nomad"
#   variables = {
#     name         = "sonarr"
#     image        = "linuxserver/sonarr"
#     service_port = 8989
#     ingress      = true
#     env = jsonencode({
#       PGID = 100
#       PUID = 1001
#       TZ = "America/Los_Angeles"
#
#     })
#     host_volumes = jsonencode([
#       {
#         name      = "sonarr-data"
#         dest      = "/config"
#         read_only = false
#       },
#       {
#         name      = "tv-sonarr"
#         dest      = "/srv/volumes/media-write/TV Shows"
#         read_only = false
#       },
#       {
#         name      = "download"
#         dest      = "/srv/volumes/download"
#         read_only = false
#       },
#     ])
#   }
# }
